MyGUI::DataManager Class Referenceabstract

`#include <MyGUI_DataManager.h>`

## Public Member Functions

| DataManager (const DataManager &)=delete
DataManager & | operator= (const DataManager &)=delete
| DataManager ()
virtual | ~DataManager ()=default
virtual IDataStream * | getData (const std::string &_name) const =0
virtual void | freeData (IDataStream *_data)=0
virtual bool | isDataExist (const std::string &_name) const =0
virtual const VectorString & | getDataListNames (const std::string &_pattern) const =0
virtual std::string | getDataPath (const std::string &_name) const =0

## Static Public Member Functions

static DataManager & | getInstance ()
static DataManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 18 of file MyGUI_DataManager.h.

## Constructor & Destructor Documentation

## DataManager() [1/2]

MyGUI::DataManager::DataManager | ( | const DataManager & |  | ) |

delete

## DataManager() [2/2]

MyGUI::DataManager::DataManager | ( |  | ) |

Definition at line 15 of file MyGUI_DataManager.cpp.

## ~DataManager()

virtual MyGUI::DataManager::~DataManager | ( |  | ) |

virtual default

## Member Function Documentation

## freeData()

virtual void MyGUI::DataManager::freeData | ( | IDataStream * | _data | ) |

pure virtual

Free data stream.

Parameters

  _data | Data stream.

## getClassTypeName()

std::string_view MyGUI::DataManager::getClassTypeName | ( |  | ) |

static

## getData()

virtual IDataStream * MyGUI::DataManager::getData | ( | const std::string & | _name | ) | const

pure virtual

Get data stream from specified resource name.

Parameters

  _name | Resource name (usually file name).

## getDataListNames()

virtual const VectorString & MyGUI::DataManager::getDataListNames | ( | const std::string & | _pattern | ) | const

pure virtual

Get all data names with names that matches pattern.

Parameters

  _pattern | Pattern to match (for example "*.layout").

## getDataPath()

virtual std::string MyGUI::DataManager::getDataPath | ( | const std::string & | _name | ) | const

pure virtual

Get full path to data.

Parameters

  _name | Resource name.

Returns
  Return full path to specified data. For example getDataPath("My.layout") might return "C:\path\to\project\data\My.layout"

## getInstance()

DataManager & MyGUI::DataManager::getInstance | ( |  | ) |

static

## getInstancePtr()

DataManager * MyGUI::DataManager::getInstancePtr | ( |  | ) |

static

## isDataExist()

virtual bool MyGUI::DataManager::isDataExist | ( | const std::string & | _name | ) | const

pure virtual

Is data with specified name exist.

Parameters

  _name | Resource name.

## operator=()

DataManager & MyGUI::DataManager::operator= | ( | const DataManager & |  | ) |

delete

The documentation for this class was generated from the following files:

- MyGUI_DataManager.h
- MyGUI_DataManager.cpp